Skip to content

The Report Service API provides PAYMENT_OPS, RECON, and FAILURE_CONVERSION_SSA reports in either CSV or JSON format.

List reports

Request

Returns an array of reports available for download. Each array element represents an available report, and contains the reportId, reportType, and reportFormat fields associated with that report.

To get the download link for a specific report, store the reportId for the report you want, and use it with the Get a report operation.

Security
Bearer
Query
created-bystring

Query for report types based on the entity that initiated report creation.

ValueDescription
SCHEDULERGet automated system-generated reports.
USERCustomized reports generated by users through the UI.
APICustomized reports generated using the API.
Enum:"USER""SCHEDULER""API"
Example:created-by=USER
curl -i -X GET \
  'https://docs.ripple.com/_mock/products/payments-odl/api-docs/report_service/reference/openapi/v1/reports?created-by=USER' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns an array of report metadata for the calling tenant

Bodyapplication/json
reportsArray of objects, >= 0 itemsrequired
Response
{ "reports": [ { … } ] }